{
  "rulesDirectory": "node_modules/codelyzer",
  "extends": "angular-tslint-rules",
  "rules": {
    "comment-format": [
      true,
      "check-space",
      {
        "ignore-words": [
          "TODO"
        ]
      }
    ],
    "directive-selector": [
      true,
      "attribute",
      [
        "app",
        "test"
      ],
      "camelCase"
    ],
    "component-selector": [
      true,
      "element",
      [
        "app",
        "test"
      ],
      "kebab-case"
    ],
    "template-use-track-by-function": true,
    "template-no-call-expression": false,
    "no-implicit-dependencies": false,
    "no-floating-promises": false,
    "no-import-side-effect": false,
    "no-null-keyword": false,
    "prefer-readonly": false,
    "no-void-expression": false,
    "unnecessary-else": true,
    "cyclomatic-complexity": false,
    "variable-name": false,
    "template-i18n": [
      false
    ],
    "comment-type": [
      true,
      "multiline",
      "singleline",
      "doc"
    ]
  }
}
